Entities Structure

Get Entities

List the available entities

GET
https://api.textreveal.com/v3/entities

Each entity has a hidden _score field that is a relevance score. The relevancy of an entity is computed based on the following factors:

  • Does the entity have a lei, ticker, ... same for other identifiers
  • Does the entity have a valid description, website ...

And then based on the query, if the entity is a match or not. When using fuzzy, the score is higher if the entity is close to the query.

Request

Parameters

  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 1000]
  • search_afterstring

    search_after field value from the previous page

  • name(string (operator))[]

    Name of the entity.

    Example: "eq:fujitsu"
  • alias(string (operator))[]

    Alternative name, abbreviation, or local brand used to refer to a company or entity.

    Example: "ilike:fujitsu"
  • duns(string (operator))[]

    Duns number of the entity.

    Example: "eq:000000000"
  • figi(string (operator))[]

    FIGI (Financial Instrument Global Identifier) of the entity.

    Example: "eq:BBG000BGJWM6"
  • isin(string (operator))[]

    International Securities Identification Number used to uniquely identify a financial security.

    Example: "eq:JP3818000006"
  • ticker(string (operator))[]

    Stock market ticker symbol used to identify a publicly traded company on an exchange.

    Example: "eq:6702.T"
  • lei(string (operator))[]

    Legal Entity Identifier (LEI) is a 20-character alphanumeric code.

    Example: "eq:123400ABCDEFGH56789"
  • entity_id(string (operator))[]

    SESAMm Unique Entity ID.

    Example: "eq:7457a013-9c65-451f-b82d-96d7a22b5cfa"
  • website(string (operator))[]

    Website of the entity. Protocol is not always present.

    Example: "eq:https://www.official-website.com"
  • city(string (operator))[]

    Name of the city, town, township, village, borough, etc. where the entity is located. Value is in lowercase.

    Example: "eq:miami"
  • country(string (enum))[]

    Country of the entity.

    Values: "afghanistan", "aland islands", "albania", "algeria", "american samoa", "andorra", "angola", "anguilla", "antarctica", "antigua and barbuda", "argentina", "armenia", "aruba", "australia", "austria", "azerbaijan", "bahamas", "bahrain... 
  • registration_code(string (operator))[]

    List of registration codes for the entity. Searches on the value field.

    Example: "eq:17133723"
  • isic4(string (operator))[]

    International Standard Industrial Classification of All Economic Activities, Revision 4 (ISIC4) codes identifying the entity's primary economic activities.

    Example: "eq:Public order and safety activities"
  • industry_code(string (operator))[]

    Industry classification codes for the entity. Searches on code and description values.

    Example: "eq:1811"
  • region(string (operator))[]

    Administrative region or state in which the entity is located. Value is in lowercase.

    Example: "eq:florida"
  • client_code(string (operator))[]

    Custom entity identifiers to make it easier to link SESAMm entities with external Knowledge Graphs / client systems. The client code are isolated between the SESAMm company model and are not visible to other client.

    To add yours to the entities of your universe, contact your account manager.

    Example: "eq:F32001976"
  • orderfield:direction

    Order to apply to the result.

    Possible fields are: name, _score.

    Possible directions are: asc and desc.

    Default: _score:descExample: "_score:desc"
  • pageinteger

    Page number, 1-based

  • fields(string (enum))[]

    Fields to include in the response

    Default: ["id", "description", "name", "figi", "isin", "ticker", "alias", "website", "country", "isic4", "industry_codes", "city", "region", "lei", "registration_codes"]Values: "id", "description", "name", "figi", "isin", "ticker", "alias", "website", "country", "isic4", "industry_codes", "city", "region", "lei", "client_code", "registration_codes", "related_universe_count"

Response

Response - 200

Properties of the entities

  • data*object[]

    Properties of the entities.

  • size*integer

    Number of records per page requested.

    Example: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Example: 1
  • total*integer

    Total number of records.

    Example: 1
  • search_afterstring | null

    Cursor for next page.

Response
{
  "data": [
    {
      "id": "753c48d6-23c8-5fb0-9230-b099898452b5",
      "description": "Fujitsu is a information & communications technology equipment and services firm providing IT & IT infrastructure and other services.",
      "name": "Fujitsu",
      "figi": "BBG000BLNXT1",
      "isin": [
        "US0378331005"
      ],
      "ticker": [
        "AAPL"
      ],
      "alias": [
        "Apple Inc."
      ],
      "website": "https://www.fujitsu.com/",
      "country": "united states of america",
      "isic4": [
        "Public order and safety activities"
      ],
      "industry_codes": [
        {
          "description": "ISIC Revision 4",
          "values": [
            {
              "code": "1811",
              "description": "Printing",
              "priority": 1
            }
          ]
        }
      ],
      "city": "miami",
      "region": "florida",
      "lei": "123400ABCDEFGH56789",
      "client_code": {
        "code1": "ABC123456",
        "code2": "789XYZ"
      },
      "registration_codes": [
        {
          "value": "17133723",
          "description": "Trade Register Number (NL)"
        }
      ],
      "related_universe_count": 0
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1,
  "total": 1,
  "search_after": "string"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested entity does not exist or is not visible to your company."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested entity does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Generic errors are not shown, see Errors for more details.